Bug 1259148 - Regression: kubernetes 1.1.0 breaks watching for resources
Regression: kubernetes 1.1.0 breaks watching for resources
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 01:47 EDT by Stef Walter
Modified: 2016-03-31 20:28 EDT (History)
9 users (show)

See Also:
Fixed In Version: kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 20:28:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2015-09-02 01:47:44 EDT
Description of problem:

When cockpit tries to watch resources against kubernetes 1.1.0 it gets the following complaints:

.> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)
> watching kubernetes endpoints failed: too old resource version: 0 (7)
E> watching kubernetes nodes failed: too old resource version: 0 (13)
> watching kubernetes pods failed: too old resource version: 0 (1)

Version-Release number of selected component (if applicable):

 kubernetes             x86_64 1.1.0-0.14.gitb6f18c7.fc22 updates-testing  33 k
 kubernetes-client      x86_64 1.1.0-0.14.gitb6f18c7.fc22 updates-testing 2.8 M
 kubernetes-master      x86_64 1.1.0-0.14.gitb6f18c7.fc22 updates-testing  13 M
 kubernetes-node        x86_64 1.1.0-0.14.gitb6f18c7.fc22 updates-testing 9.1 M

How reproducible:

Every time.

Steps to Reproduce:
1. Run Cockpit on your node, with cockpit-kubernetes
2. Navigate to cluster tab
3. Look at javascript console output
Comment 1 Stef Walter 2015-09-02 01:49:03 EDT
This problem was caught by the Cockpit integration test suite.
Comment 2 Jan Chaloupka 2015-09-09 03:10:40 EDT
Hi Stef, can you reproduce the behaviour with the latest build in rawhide?
Comment 3 Jan Chaloupka 2015-09-09 03:11:40 EDT
What what kubernetes's version before update to 1.1.0-0.14.gitb6f18c7.fc22?
Comment 4 Jordan Liggitt 2015-09-10 10:57:22 EDT
Is there an open issue in Kubernetes?
Comment 5 Stef Walter 2015-09-10 11:46:33 EDT
kubernetes from git master fails:

https://github.com/kubernetes/kubernetes/issues/13809

> What what kubernetes's version before update to 1.1.0-0.14.gitb6f18c7.fc22?

Not sure what that means, but according to our integration tests:

1.1.0-0.5.gite44c8e6.fc22 -> does not fail
1.1.0-0.14.gitb6f18c7.fc22 -> fails
Comment 6 Stef Walter 2015-09-15 06:45:33 EDT
This build fixes the issue:

# rpm -q kubernetes
kubernetes-1.1.0-0.16.git388061f.fc22.x86_64

Upstream has also posted a patch.
Comment 7 Jan Chaloupka 2015-09-16 09:00:00 EDT
Stef,

do you have a smaller reproducer? kubernetes only if possible?

Jan
Comment 8 Stef Walter 2015-09-16 09:58:22 EDT
Yes, posted one upstream: https://github.com/kubernetes/kubernetes/issues/13809
Comment 9 Scott Dodson 2015-09-29 17:08:25 EDT
Fixed here https://github.com/kubernetes/kubernetes/pull/13910
Comment 10 Fedora Update System 2016-03-08 14:03:07 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 11 Fedora Update System 2016-03-09 17:55:50 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 12 Fedora Update System 2016-03-31 20:27:46 EDT
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.